Create a field group

Body·
required
application/json
  • autoAttach
    Type: boolean

    When true, this field group is automatically attached to new records in the target module.

  • derivedFrom
    Type: integer

    ID of group from which this group has been derived - only for protected field groups

  • entities
    Type: array object[] ·

    Entity attachment records describing which records and positions this field group is rendered in.

  • inputs
    Type: array object[] ·

    Ordered list of fields belonging to this field group.

  • inputSize
    Type: string

    Default layout width applied to each field inside this group (e.g. 'full', 'half').

  • module
    Type: string

    Module name this field group belongs to (e.g. 'contact', 'deal').

  • name
    Type: string

    Name of the Field Group.

  • protected
    Type: boolean

    Marks field group as system default - non-changeable

  • size
    Type: string

    Layout width of the field group in the UI (e.g. 'full', 'half').

  • static
    Type: string

    Static HTML/text content rendered inside the group; used for informational or decorative groups with no input fields.

  • systemName
    Type: string

    Group system name - if set (non-changeable) - only for protected field groups

  • table
    Type: string

    Specific table within the module this field group targets; used when a module has multiple tables.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/field-group
curl https://test.boost.space/api/field-group \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "name": "Sample name",
  "module": "string",
  "table": "string",
  "size": "string",
  "weight": 1,
  "inputSize": "string",
  "static": "string",
  "systemName": "Sample systemName",
  "derivedFrom": 1,
  "boostId": "string",
  "protected": true,
  "inputs": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "createdUserId": 42,
      "name": "Sample name",
      "description": "string",
      "tooltip": "string",
      "percentUpTo100": true,
      "isLabel": "string",
      "className": "Sample className",
      "relatedEntityCfId": "string",
      "relatedValueCounterpart": true,
      "property": "string",
      "inputType": "related_entity",
      "required": true,
      "order=0": 1,
      "fieldGroups": [
        1
      ],
      "actionId": 42,
      "currencyId": 42,
      "inputOptions": [
        {}
      ],
      "remotes": [
        {
          "id": "1",
          "application": "string",
          "delete": true
        }
      ],
      "spaces": [
        1
      ],
      "inputCalculation": "string",
      "relatedCustomModuleId": 42,
      "relatedEntityProperty": "string",
      "provider": "platform",
      "providerId": 42,
      "visible": true,
      "rollupRelationInputId": 42,
      "rollupTargetInputId": 42,
      "rollupAggregation": "showOriginal",
      "aiPrompt": "string",
      "aiVoiceTone": "auto",
      "aiLength": "auto",
      "aiFormatting": "text",
      "aiCreativity": "high",
      "aiType": "auto",
      "translatable": true
    }
  ],
  "entities": [
    {
      "entityId": 42,
      "module": "string",
      "spaceId": 42,
      "fieldGroupPositionId": 42,
      "position": "string"
    }
  ],
  "autoAttach": true
}'
{
  "id": 42,
  "created": "2026-01-15T09:30:00Z",
  "name": "Sample name",
  "module": "string",
  "table": "string",
  "size": "string",
  "weight": 1,
  "inputSize": "string",
  "static": "string",
  "systemName": "Sample systemName",
  "derivedFrom": 1,
  "boostId": "string",
  "protected": true,
  "inputs": [
    {
      "id": 42,
      "created": "2026-01-15T09:30:00Z",
      "createdUserId": 42,
      "name": "Sample name",
      "description": "string",
      "tooltip": "string",
      "percentUpTo100": true,
      "isLabel": "string",
      "className": "Sample className",
      "relatedEntityCfId": "string",
      "relatedValueCounterpart": true,
      "property": "string",
      "inputType": "related_entity",
      "required": true,
      "order=0": 1,
      "fieldGroups": [
        1
      ],
      "actionId": 42,
      "currencyId": 42,
      "inputOptions": [
        {}
      ],
      "remotes": [
        {
          "id": "1",
          "application": "string",
          "delete": true
        }
      ],
      "spaces": [
        1
      ],
      "inputCalculation": "string",
      "relatedCustomModuleId": 42,
      "relatedEntityProperty": "string",
      "provider": "platform",
      "providerId": 42,
      "visible": true,
      "rollupRelationInputId": 42,
      "rollupTargetInputId": 42,
      "rollupAggregation": "showOriginal",
      "aiPrompt": "string",
      "aiVoiceTone": "auto",
      "aiLength": "auto",
      "aiFormatting": "text",
      "aiCreativity": "high",
      "aiType": "auto",
      "translatable": true
    }
  ],
  "entities": [
    {
      "entityId": 42,
      "module": "string",
      "spaceId": 42,
      "fieldGroupPositionId": 42,
      "position": "string"
    }
  ],
  "autoAttach": true
}